Loading...
Searching...
No Matches
XrdXrootdXPath Class Reference

`#include <XrdXrootdXPath.hh>`

Collaboration diagram for XrdXrootdXPath:

## Public Member Functions

| XrdXrootdXPath (const char *pathdata="", int popt=0, int flags=XROOTDXP_OK)
| ~XrdXrootdXPath ()
void | Insert (const char *pd, int popt=0, int flags=XROOTDXP_OK)
XrdXrootdXPath * | Next ()
int | Opts ()
char * | Path ()
char * | Path (int &PLen)
void | Set (int opts, const char *pathdata=0)
int | Validate (const char *pd, const int pl=0)

## Detailed Description

Definition at line 42 of file XrdXrootdXPath.hh.

## Constructor & Destructor Documentation

## XrdXrootdXPath()

XrdXrootdXPath::XrdXrootdXPath | ( | const char * | pathdata = "",
|  | int | popt = 0,
|  | int | flags = XROOTDXP_OK )

inline

Definition at line 86 of file XrdXrootdXPath.hh.

{next = 0;
pathopt = popt | flags;
pathlen = strlen(pathdata);
path = strdup(pathdata);
}

References XROOTDXP_OK.

Referenced by Insert(), Next(), and Validate().

Here is the caller graph for this function:

## ~XrdXrootdXPath()

XrdXrootdXPath::~XrdXrootdXPath | ( |  | ) |

inline

Definition at line 93 of file XrdXrootdXPath.hh.

{if (path) free(path);}

## Member Function Documentation

## Insert()

void XrdXrootdXPath::Insert | ( | const char * | pd,
|  | int | popt = 0,
|  | int | flags = XROOTDXP_OK )

inline

Definition at line 60 of file XrdXrootdXPath.hh.

{XrdXrootdXPath *pp = 0, *p = next;
XrdXrootdXPath *newp = new XrdXrootdXPath(pd,popt,flags);
if (popt & ~XROOTDXP_OK)
{while(p && newp->pathlen < p->pathlen)
{pp = p; p = p->next;}
} else {
while(p && newp->pathlen >= p->pathlen)
{pp = p; p = p->next;}
}
newp->next = p;
if (pp) pp->next = newp;
else next = newp;
}
XROOTDXP_OK
#define XROOTDXP_OK
Definition XrdXrootdXPath.hh:36
XrdXrootdXPath::XrdXrootdXPath
XrdXrootdXPath(const char *pathdata="", int popt=0, int flags=XROOTDXP_OK)
Definition XrdXrootdXPath.hh:86

References XrdXrootdXPath(), and XROOTDXP_OK.

Here is the call graph for this function:

## Next()

XrdXrootdXPath * XrdXrootdXPath::Next | ( |  | ) |

inline

Definition at line 46 of file XrdXrootdXPath.hh.

{return next;}

References XrdXrootdXPath().

Referenced by XrdXrootdProtocol::Configure().

Here is the call graph for this function:
Here is the caller graph for this function:

## Opts()

int XrdXrootdXPath::Opts | ( |  | ) |

inline

Definition at line 47 of file XrdXrootdXPath.hh.

{return pathopt;}

Referenced by XrdXrootdProtocol::Configure().

Here is the caller graph for this function:

## Path() [1/2]

char * XrdXrootdXPath::Path | ( |  | ) |

inline

Definition at line 48 of file XrdXrootdXPath.hh.

{return path;}

Referenced by XrdXrootdProtocol::Configure().

Here is the caller graph for this function:

## Path() [2/2]

char * XrdXrootdXPath::Path | ( | int & | PLen | ) |

inline

Definition at line 49 of file XrdXrootdXPath.hh.

{PLen = pathlen; return path;}

## Set()

void XrdXrootdXPath::Set | ( | int | opts,
|  | const char * | pathdata = 0 )

inline

Definition at line 51 of file XrdXrootdXPath.hh.

{pathopt = opts;
if (pathdata)
{if (path) free(path);
pathlen = strlen(pathdata);
path = strdup(pathdata);
}
}
opts
struct myOpts opts

References opts.

## Validate()

int XrdXrootdXPath::Validate | ( | const char * | pd,
|  | const int | pl = 0 )

inline

Definition at line 75 of file XrdXrootdXPath.hh.

{int plen = (pl ? pl : strlen(pd));
XrdXrootdXPath *p = next;
while(p && plen >= p->pathlen)
{if (!strncmp(pd, p->path, p->pathlen))
return p->pathopt;
p=p->next;
}
return 0;
}

References XrdXrootdXPath().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- XrdXrootdXPath.hh